Upstream information

CVE-2012-0059 at MITRE

Description

Spacewalk-backend in Red Hat Network (RHN) Satellite and Proxy 5.4 includes cleartext user passwords in an error message when a system registration XML-RPC call fails, which allows remote administrators to obtain the password by reading (1) the server log and (2) an email.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:P/I:N/A:N
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
SUSE Bugzilla entry: 742145 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Manager 1.2 for SLE 11 SP1
  • editarea >= 0.8.2-0.4.1
  • spacewalk-backend >= 1.2.74-0.46.1
  • spacewalk-backend-app >= 1.2.74-0.46.1
  • spacewalk-backend-applet >= 1.2.74-0.46.1
  • spacewalk-backend-config-files >= 1.2.74-0.46.1
  • spacewalk-backend-config-files-common >= 1.2.74-0.46.1
  • spacewalk-backend-config-files-tool >= 1.2.74-0.46.1
  • spacewalk-backend-iss >= 1.2.74-0.46.1
  • spacewalk-backend-iss-export >= 1.2.74-0.46.1
  • spacewalk-backend-libs >= 1.2.74-0.46.1
  • spacewalk-backend-package-push-server >= 1.2.74-0.46.1
  • spacewalk-backend-server >= 1.2.74-0.46.1
  • spacewalk-backend-sql >= 1.2.74-0.46.1
  • spacewalk-backend-sql-oracle >= 1.2.74-0.46.1
  • spacewalk-backend-tools >= 1.2.74-0.46.1
  • spacewalk-backend-xml-export-libs >= 1.2.74-0.46.1
  • spacewalk-backend-xmlrpc >= 1.2.74-0.46.1
  • spacewalk-backend-xp >= 1.2.74-0.46.1
  • spacewalk-base >= 1.2.31-0.33.1
  • spacewalk-base-minimal >= 1.2.31-0.33.1
  • spacewalk-certs-tools >= 1.2.2-0.24.1
  • spacewalk-grail >= 1.2.31-0.33.1
  • spacewalk-html >= 1.2.31-0.33.1
  • spacewalk-java >= 1.2.115-0.52.1
  • spacewalk-java-config >= 1.2.115-0.52.1
  • spacewalk-java-lib >= 1.2.115-0.52.1
  • spacewalk-java-oracle >= 1.2.115-0.52.1
  • spacewalk-pxt >= 1.2.31-0.33.1
  • spacewalk-sniglets >= 1.2.31-0.33.1
  • spacewalk-taskomatic >= 1.2.115-0.52.1
  • susemanager >= 1.2.0-0.50.1
  • susemanager-tools >= 1.2.0-0.50.1
suse-manager-1.2.x86-64
SAT Patch Nr: 5718


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Manager Server 1.2 editarea Released